OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | List of all members
PDBReporter Class Reference

PDBReporter outputs a series of frames from a Simulation to a PDB file. More...

Inheritance diagram for PDBReporter:

## Public Member Functions
def | __init__
| Create a PDBReporter. More...
def | describeNextReport
| Get information about the next report this object will generate. More...
def | report
| Generate a report. More...
def | __del__

## Detailed Description

PDBReporter outputs a series of frames from a Simulation to a PDB file.

To use it, create a PDBReporter, then add it to the Simulation's list of reporters.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | file,
|  |  | reportInterval
| ) |  |

Create a PDBReporter.

Parameters

  file | (string) The file to write to
  reportInterval | (int) The interval (in time steps) at which to write frames

References PDBReporter._nextModel, PDBReporter._out, DCDReporter._out, CheckpointReporter._out, PDBReporter._reportInterval, DCDReporter._reportInterval, CheckpointReporter._reportInterval, PDBReporter._topology, DCDFile._topology, and CharmmPsfFile._topology.

def __del__ | ( |  | self | ) |

References PDBReporter._out, DCDReporter._out, CheckpointReporter._out, PDBReporter._topology, DCDFile._topology, and CharmmPsfFile._topology.

## Member Function Documentation

def describeNextReport | ( |  | self,
|  |  | simulation
| ) |  |

Get information about the next report this object will generate.

Parameters

  simulation | (Simulation) The Simulation to generate a report for

Returns
  A five element tuple. The first element is the number of steps until the next report. The remaining elements specify whether that report will require positions, velocities, forces, and energies respectively.

References PDBReporter._reportInterval, DCDReporter._reportInterval, and CheckpointReporter._reportInterval.

def report | ( |  | self,
|  |  | simulation,
|  |  | state
| ) |  |

Generate a report.

Parameters

  simulation | (Simulation) The Simulation to generate a report for
  state | (State) The current state of the simulation

References PDBReporter._nextModel, PDBReporter._out, DCDReporter._out, CheckpointReporter._out, PDBReporter._topology, DCDFile._topology, and CharmmPsfFile._topology.

The documentation for this class was generated from the following file:

- pdbreporter.py